nnikolyaa
@nnikolyaa

Неизвестная ошибка в vk_api?

Через день, два бот умирает с неизвестной ошибкой связанной с прослушиванием событий. Что это?
Лог ошибки
SYSTEM ERROR MESSAGSE: Переподключение к серверам ВК
Bot online already enabled
CRITICAL ERROR 2! RESTART! PLEASE CHECK CODE!
Bot online already enabled
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 597, in urlopen
    httplib_response = self._make_request(conn, method, url,
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.8/http/client.py", line 1322, in getresponse
    response.begin()
  File "/usr/lib/python3.8/http/client.py", line 303, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.8/http/client.py", line 272, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 637, in urlopen
    retries = retries.increment(method, url, error=e, _pool=self,
  File "/usr/lib/python3.8/site-packages/urllib3/util/retry.py", line 399, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='lp.vk.com', port=443): Max retries exceeded with url: /wh194647816?act=a_check&key=efe71ab16b815ed8d9ecea270a248572bd7f0bb3&ts=238882&wait=25 (Caused by ProxyError('Cannot connect to proxy.', RemoteDisconnected('Remote end closed connection without response')))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/nnikolyaa/Vk_bot.py", line 2745, in <module>
    main()
  File "/home/nnikolyaa/Vk_bot.py", line 141, in main
    for event in longpoll.listen():
  File "/home/nnikolyaa/.local/lib/python3.8/site-packages/vk_api/bot_longpoll.py", line 285, in listen
    for event in self.check():
  File "/home/nnikolyaa/.local/lib/python3.8/site-packages/vk_api/bot_longpoll.py", line 254, in check
    response = self.session.get(
  File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 510, in send
    raise ProxyError(e, request=request)
requests.exceptions.ProxyError: HTTPSConnectionPool(host='lp.vk.com', port=443): Max retries exceeded with url: /wh194647816?act=a_check&key=efe71ab16b815ed8d9ecea270a248572bd7f0bb3&ts=238882&wait=25 (Caused by ProxyError('Cannot connect to proxy.', RemoteDisconnected
('Remote end closed connection without response')))
  • Вопрос задан
  • 58 просмотров
Пригласить эксперта
Ответы на вопрос 1
@bacon
Да вот прям совсем неизвестная, тебе же пишут "Remote end closed connection without response"
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
24 сент. 2020, в 02:31
700 руб./в час
24 сент. 2020, в 01:04
20000 руб./за проект
23 сент. 2020, в 23:49
500 руб./за проект